# This file is read by CherryPy rather than ConfigParser
# and the following differences apply:  strings must be
# quoted, and it appears that if you include a section,
# you must include all settings in that section as the
# defaults are not kept.

# [crab]
# # Directory in which to find the res/ and templ/ directories.
# home = '/usr/share/crab'
#
# # Base URL to use when generating links to be used from
# # outside the Crab web interface, e.g. in notification
# # emails and the RSS feed.
# base_url = 'http://crabserver.example.com:8000'
# # To generate automatically:
# base_url = None

# [store]
# # Main storage backend.
# type = 'sqlite'
# file = '/var/lib/crab/crab.db'
# # Alternatively for MySQL:
# # type = 'mysql'
# # host = 'localhost'
# # database = 'crab'
# # user = 'crab'
# # password = 'crab'

# [outputstore]
# # Storage backend to be used for storing job output
# # and raw crontabs.
# # (This is optional, unless the selected main backend
# # is not capable of storing output.)
# type = 'file'
# dir = '/var/lib/crab'

# [global]
# engine.autoreload.on = False
#
# server.socket_port = 8000
#
# # To listen on localhost only:
# server.socket_host = '127.0.0.1'
#
# # To listen on a specific address:
# server.socket_host = '0.0.0.0'

# [email]
# # Server through which to send email notifications.
# server = 'mailhost'
#
# # Name (and address) to send email from.
# from = 'Crab Daemon'
#
# # Subjects to use for different severity levels.
# subject_ok = 'Crab notification'
# subject_warning = 'Crab notification (WARNING)'
# subject_error = 'Crab notification (ERROR)'

# [notify]
# # Cron-style schedule for sending "daily" notifications,
# # to be used for notifications without specified schedules.
# daily = '0 0 * * *'
#
# # Timezone to use for the daily notification schedule.
# timezone = 'UTC'

# # Uncomment this section if you wish to use the automated cleaning
# # service to delete the history of old events.
# [clean]
# # Cron-style schedule for cleaning operations.
# schedule = '15 0 * * *'
# # Timezone to use for the cleaning schedule.
# timezone = 'UTC'
# # Number of days for which to keep events.
# keep_days = 90

# # This section applies if crabd is run with the --accesslog option
# # giving the base access log file name (e.g. via crabd-check).
# [access_log]
# # Maximum size of log files (MiB), or 0 to disable rotation.
# max_size = 10
# # Number of past log files to keep, or 0 to disable rotation.
# backup_count = 10

# # This section applies if crabd is run with the --errorlog option
# # giving the base error log file name (e.g. via crabd-check).
# [error_log]
# # Maximum size of log files (MiB), or 0 to disable rotation.
# max_size = 10
# # Number of past log files to keep, or 0 to disable rotation.
# backup_count = 10
